#pragma once

#include "CoreMinimal.h"
#include "KillerInstinctStatusEffect.h"
#include "EK32KillerInstinctType.h"
#include "K32KillerInstinctStatusEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THEK32_API UK32KillerInstinctStatusEffect : public UKillerInstinctStatusEffect
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EK32KillerInstinctType _killerInstinctType;

public:
	UK32KillerInstinctStatusEffect();
};

FORCEINLINE uint32 GetTypeHash(const UK32KillerInstinctStatusEffect) { return 0; }
